Skip to main content
Resource Center/Resource Pool/Auto-Scaling Group Operations
POSTAuto-Scaling Group OperationsSince 4.1.0SynchronousAuth Required

CreateAutoScalingRuleSchedulerJobTrigger

CreateAutoScalingRuleSchedulerJobTrigger

Execution Availability

Try It Out

Submit a mock request using the current auth context and example-driven inputs.

Path Parameters

Request Inputs

Path Parameters

  • schedulerJobUuidStringRequired

    The scheduled job UUID.

  • ruleUuidStringRequired

    The auto-scaling UUID.

Body Fields

  • paramsObjectRequired

    Request body parameter object.

    • triggerTypeString

      Optional. The trigger type.

    • nameStringRequired

      The trigger name.

    • descriptionString

      Optional. The detailed description of the trigger.

    • resourceUuidString

      Optional. The resource UUID.

    • tagUuidsList

      Optional. The tag UUIDs.

  • systemTagsList

    Optional. The system tags.

  • userTagsList

    Optional. The user tags.

Responses

200 OK

On success, this API returns the following response structure.

  • errorErrorCodeRequired

    The error code. If not null, the operation fails, or vice versa. For more information, see error

    • codeStringRequired

      The error code, which is a numbered or alphanumeric code that specifies an error. For example, SYS.1000, HOST.1001.

    • descriptionStringRequired

      The brief description of the error.

    • detailsStringRequired

      The details about the error.

    • elaborationStringRequired

      The reserved field. Default value: null.

    • opaqueLinkedHashMapRequired

      The reserved field. Default value: null.

    • causeErrorCodeRequired

      The root error, which is the associated root cause of the current error. If no root error exists, this parameter is null.

  • inventoryAutoScalingRuleTriggerInventoryRequired

    See inventory

    • nameStringRequired

      The resource name.

    • uuidStringRequired

      The resource UUID.

    • typeStringRequired

      The trigger type.

    • ruleUuidStringRequired

      The auto-scaling rule UUID.

    • descriptionString

      Optional. The detailed description of the resource.

    • stateStringRequired

      The trigger state.

    • createDateTimestampRequired

      The creation time.

    • lastOpDateTimestampRequired

      The last update time.

Endpoint

POST/zstack/v1/scheduler/jobs/{schedulerJobUuid}/autoscaling/rules/{ruleUuid}

/zstack/v1/scheduler/jobs/{schedulerJobUuid}/autoscaling/rules/{ruleUuid}

Operation ID

CreateAutoScalingRuleSchedulerJobTrigger

Permalink

Request Example

curl -X POST 'http://{host}/zstack/v1/scheduler/jobs/{schedulerJobUuid}/autoscaling/rules/{ruleUuid}' -H 'Authorization: OAuth {sessionUuid}' -H 'Content-Type: application/json;charset=UTF-8' -d '{"params":{"triggerType":"<triggerType>","name":"<name>","description":"<description>","resourceUuid":"<resourceUuid>","tagUuids":["<tagUuids>"]},"systemTags":["<systemTags>"],"userTags":["<userTags>"]}'

Response Example

200
{ "inventory": { "name": "test-group", "uuid": "d09cd777bb863d6bbfe1267b590e947e", "description": "just for test", "createDate": "Nov 14, 2017 10:20:57 PM", "lastOpDate": "Nov 14, 2017 10:20:57 PM" } }

Change History

This API has no change history records yet.

View all change history